%define rname Net-Server

Name:    perl-%{rname}
Version: 0.97
Release: 1%{?dist}
Summary: Extensible, general Perl server engine

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/%{rname}/
Source:    http://search.cpan.org/CPAN/authors/id/R/RH/RHANDOM/%{rname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# IO::Multiplex support is optional, but since it's in Fedora and not
# including it causes build problems in some packages…
Requires:      perl(IO::Multiplex)

# Check requirements
BuildRequires: perl(IO::Multiplex)
BuildRequires: perl(Test::Builder)

%description
An extensible, class oriented module written in perl and intended to
be the back end layer of internet protocol servers.


%prep
%setup -q -n %{rname}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
make %{?_smp_mflags}


%install
rm -fr %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name 'perllocal.pod' -exec rm -f {} ';'
find %{buildroot} -type f -name '.*' -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+rwX,go-rwx %{buildroot}/*


%check || :
make test


%clean
rm -fr %{buildroot}


%files
%defattr(0644, root, root, 0755)
%doc README Changes examples
%dir %{perl_vendorlib}/Net/
%dir %{perl_vendorlib}/Net/Server
%{perl_vendorlib}/Net/Server.pm
%{perl_vendorlib}/Net/Server.pod
%{perl_vendorlib}/Net/Server/*
%{_mandir}/man?/Net::Server*


%changelog
* Sun Aug 12 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
⍟ 0.97-1

* Fri May 18 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
⍟ 0.96-2
- more build checks
⍟ 0.96-1
- trim changelog

* Tue Mar 20 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.95-1 

* Sat Sep 02 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.94-2
- FE6 Rebuild

* Sun Jul 30 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.94-1

* Sun Apr 23 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.93-1

* Mon Feb 13 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.90-2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Jan 8 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.90-1
- Updated to 0.90
- add IO::Multiplex dep
